package opc.ua.services.common;

import opc.ua.addressspace.datatype.NodeId;
import opc.ua.addressspace.datatype.QualifiedName;

public class RelativePath {

	private RelativePathElement[] elements;
	
	private class RelativePathElement {
		private NodeId referenceTypeId;
		private boolean isInverse;
		private boolean includeSubtypes;
		private QualifiedName targetName;
	}

	
	public RelativePathElement[] getElements() {
		return elements;
	}

	public void setElements(RelativePathElement[] elements) {
		this.elements = elements;
	}
	
}
